Subject: Re: [PATCH] pktgen - define and use pktgen_dbg,err,warn,info

From: Joe Perches <[email-masked]>
Date: Tue, 31 Jul 2007 16:48:06 -0700

On Mon, 2007-07-30 at 16:05 -0700, David Miller wrote:
> I still don't know about this patch.  Instead of the simple
> transformation:
> 
> -	printk(foo);
> +	printk(KERN_INFO foo);
> 
> we get this new macro, and the lines changes to use that macro.

Actually, I agree.

Many local macros could be eliminated that define
printk(<level> prefix)

I'd like to see macros added to kernel.h for:

	pr_err
	pr_notice
	pr_warn
	pr_alert
	pr_crit
	pr_emerge

and convert tree-wide all the single-line

	printk(KERN_<level> [prefix] fmt "\n", args...)

calls to the equivalent pr_<level> calls.

That would leave the multi-line printk(<level>...) calls
to be sorted out so these messages might no longer be
interleaved by multiple cpus/threads.